Geotiff CRS ignored if not EPSG

2014-03-25 10:51 AM - William Kyngesburye

Status: Closed

Priority: Normal

Assignee:

Category: Rasters

Affected QGIS version:2.2.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 18399

Description

When adding a geotiff with a CRS that does not have an EPSG code, the CRS is ignored and QGIS asks to define the CRS for the

geotiff.  There is a bug #3547 and r83982440 from 3 years ago, so that should be in release 2.2, but the CRS is still ignored.  The same

CRS in a shapefile .prj (no .qpj) is accepted and added as a generated CRS.  Both the shapefile and geotiff CRSs are defined from GDAL

programs outside QGIS.  GDAL and other tools (like Mapublisher) accept the geotiff CRS.

This example is:

+proj=lcc +ellps=WGS84 +lon_0=21.5 +lat_0=32 +lat_1=33.333333333333 +lat_2=38.666666666667

but I've seen the problem with other non-EPSG CRSs.

History

#1 - 2014-04-08 08:21 AM - William Kyngesburye

I think I found the problem - partly a GDAL problem.  I showed the PROJ definition, but I was defining the projection in the geotiff from a prj.  I noticed that

the definition of the Lambert Conformal Conic projection is different in a shapefile prj than in a geotiff (if I define it with a proj string).

In a prj, LCC is defined as "Lambert_Conformal_Conic", in a geotiff, GDAL reports a correct LCC as "Lambert_Conformal_Conic_2SP".  But when I use a

prj to define a geotiff projection it gets stored as "Lambert_Conformal_Conic", just as it is in the prj.  QGIS can't figure out what to do with

"Lambert_Conformal_Conic" in a geotiff.

#2 - 2014-06-28 07:45 AM - Jürgen Fischer

- Target version changed from Version 2.4 to Future Release - High Priority

#3 - 2017-05-01 01:08 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#4 - 2019-03-09 03:11 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
